'use strict';

var index = require('./index-p7cvUYAE.js');
var parts = require('./parts-BXshb_S-.js');

const RadioListItem = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.radioClick = index.createEvent(this, "radio-click", 7);
        this.checked = false;
        this.hidden = false;
        this.handleClick = () => {
            this.radioClick.emit(this.value);
        };
    }
    render() {
        return (index.h(index.Host, { key: 'c6313219de1fb0db111332b67364e4a5700c2856' }, index.h("div", { key: '73925451debf15dc46d8bb6b7183bfd85af4c315', class: `radio-list-item p-3 ${this.class || ''}`, part: parts.radioListItem, onClick: this.handleClick, hidden: this.hidden }, index.h("form-control-radio", { key: 'd14da7ad38b1ee3b82e99f20957161f10eb744c4', name: this.name, value: this.value, checked: this.checked, label: this.label, inputHandler: () => null }))));
    }
};

exports.radio_list_item = RadioListItem;
